Vehicle Location API documentation

Authorization: Request the carrier company to grant you with the token. The given token should be included in the 'Authorization' header for each request. Full control over the token management is done by the carrier company.

Description: Returns current information of the company vehicles.

Params:

NameTypeMandatoryDefault value
pageInteger-0
sizeInteger-10

Request sample:

curl -X 'GET' \
  'https://api.trackproeld.com/logger/external/vehicles/current?page=0&size=10' \
  -H 'accept: */*' \
  -H 'Authorization: Bearer {token}'

Response:

The structure of response is:

{
  "result": {
    "code": "ok",
    "description": "ok"
  },
  "content": [...],
  "pageable": {
    "total": number of total elements,
    "prev": the previous page number | null,
    "next": the next page number | null,
    "current": current page number
  }
}

pageable is present only if response http status is 200

Sample http status: 200

{
  "result": {
    "code": "ok",
    "description": "ok"
  },
  "content": [
    {
      "vehicle": {
        "id": 738,
        "make": "FRHT",
        "model": "Cascadia",
        "vin": "3AKJHHDR9KSLE7356",
        "unit_number": "257080"
      },
      "driver": {
        "id": 1352,
        "name": "Benito Monney"
      },
      "location": {
        "vehicle_coordinates": {
          "latitude": 33.587322,
          "longitude": -84.338427
        },
        "nearby_location_coordinates": {
          "latitude": 33.5786,
          "longitude": -84.34
        },
        "distance": 0.58,
        "state": "GA",
        "location": "Morrow",
        "time": "2024-05-19T17:30:18",
        "direction": "ne"
      }
    }
  ],
  "pageable": {
    "total": 140,
    "prev": null,
    "next": 1,
    "current": 0
  }
}

Sample http status: 403

{
  "result": {
    "code": "forbidden",
    "description": "forbidden"
  },
  "content": null
}

Sample http status: 401

{
  "result": {
    "code": "invalid_token",
    "description": "Invalid token"
  },
  "content": null
}